<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.ylx.massage.mapper.MerchantApplyFileMapper">

    <select id="getMerchantPicture" resultType="java.lang.String">
        SELECT
            file_url
        FROM
            merchant_apply_file
        WHERE
            merchant_id = #{dto.id}
        AND file_type = IFNULL(#{dto.fileType}, '2')
        AND is_delete = 0
        AND audit_status = 1
        ORDER BY
            create_time DESC
    </select>
</mapper>